scala.tools.nsc.backend.jvm.GenBCode

# BCodePhase

#### class BCodePhase extends StdPhase

Source
  GenBCode.scala

Linear Supertypes
GenBCode.StdPhase, GlobalPhase, reflect.internal.Phase, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BCodePhase
2. StdPhase
3. GlobalPhase
4. Phase
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new BCodePhase(prev: Phase)

### Type Members

1. #### type Id = Int

   Definition Classes
     Phase

2. #### case class Item1(arrivalPos: Int, cd: Global.ClassDef, cunit: Global.CompilationUnit) extends Product with Serializable

3. #### case class Item2(arrivalPos: Int, mirror: ClassNode, plain: ClassNode, bean: ClassNode, outFolder: AbstractFile) extends Product with Serializable

4. #### case class Item3(arrivalPos: Int, mirror: SubItem3, plain: SubItem3, bean: SubItem3, outFolder: AbstractFile) extends Product with Serializable

5. #### case class SubItem3(jclassName: String, jclassBytes: Array[Byte]) extends Product with Serializable

6. #### class Worker1 extends AnyRef

7. #### class Worker2 extends AnyRef

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from BCodePhase to any2stringadd[BCodePhase] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (BCodePhase, B)

   Implicit information
     This member is added by an implicit conversion from BCodePhase to ArrowAssoc[BCodePhase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply(cunit: Global.CompilationUnit): Unit

   Definition Classes
     BCodePhase → GlobalPhase

7. #### final def applyPhase(unit: Global.CompilationUnit): Unit

   Definition Classes
     GlobalPhase

8. #### var arrivalPos: Int

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def cancelled(unit: Global.CompilationUnit): Boolean

    Is current phase cancelled on this unit?

    Is current phase cancelled on this unit?

    Definition Classes
      GlobalPhase

11. #### def checkable: Boolean

    Definition Classes
      Phase

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def description: String

    Definition Classes
      BCodePhase → Phase

14. #### def ensuring(cond: (BCodePhase) ⇒ Boolean, msg: ⇒ Any): BCodePhase

    Implicit information
      This member is added by an implicit conversion from BCodePhase to Ensuring[BCodePhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (BCodePhase) ⇒ Boolean): BCodePhase

    Implicit information
      This member is added by an implicit conversion from BCodePhase to Ensuring[BCodePhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): BCodePhase

    Implicit information
      This member is added by an implicit conversion from BCodePhase to Ensuring[BCodePhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): BCodePhase

    Implicit information
      This member is added by an implicit conversion from BCodePhase to Ensuring[BCodePhase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(other: Any): Boolean

    Definition Classes
      Phase → AnyRef → Any

20. #### def erasedTypes: Boolean

    Definition Classes
      BCodePhase → GlobalPhase → Phase

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### def flagMask: Long

    Definition Classes
      Phase

23. #### def flatClasses: Boolean

    Definition Classes
      GlobalPhase → Phase

24. #### val fmask: Long

    Definition Classes
      Phase

25. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from BCodePhase to StringFormat[BCodePhase] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

26. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

27. #### def hasNext: Boolean

    Definition Classes
      Phase

28. #### def hashCode(): Int

    Definition Classes
      Phase → AnyRef → Any

29. #### val id: Id

    Definition Classes
      Phase

30. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

31. #### def iterator: collection.Iterator[reflect.internal.Phase]

    Definition Classes
      Phase

32. #### def keepsTypeParams: Boolean

    Definition Classes
      Phase

33. #### def name: String

    Definition Classes
      BCodePhase → StdPhase → Phase

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### def newFlags: Long

    Definition Classes
      StdPhase → Phase

36. #### def next: reflect.internal.Phase

    Definition Classes
      Phase

37. #### def nextFlags: Long

    Definition Classes
      StdPhase → Phase

38. #### final def notify(): Unit

    Definition Classes
      AnyRef

39. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

40. #### val prev: reflect.internal.Phase

    Definition Classes
      Phase

41. #### def refChecked: Boolean

    Definition Classes
      GlobalPhase → Phase

42. #### def run(): Unit

    Definition Classes
      BCodePhase → GlobalPhase → Phase

43. #### def specialized: Boolean

    Definition Classes
      GlobalPhase → Phase

44. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

45. #### def toString(): String

    Definition Classes
      Phase → AnyRef → Any

46. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def withCurrentUnit(unit: Global.CompilationUnit)(task: ⇒ Unit): Unit

    Definition Classes
      GlobalPhase

50. #### def →[B](y: B): (BCodePhase, B)

    Implicit information
      This member is added by an implicit conversion from BCodePhase to ArrowAssoc[BCodePhase] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from GenBCode.StdPhase

### Inherited from GlobalPhase

### Inherited from reflect.internal.Phase

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from BCodePhase to any2stringadd[BCodePhase]

### Inherited by implicit conversion StringFormat from BCodePhase to StringFormat[BCodePhase]

### Inherited by implicit conversion Ensuring from BCodePhase to Ensuring[BCodePhase]

### Inherited by implicit conversion ArrowAssoc from BCodePhase to ArrowAssoc[BCodePhase]

### Ungrouped